<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
</head>

<body>
<script type="text/javascript">
	var n=new Array(1,2,1,4,5,8,1,2);
	var i1, i2;
	var longitud=n.length;
	var aux;
	
	for(i1=0;i1<longitud-1;i1++){
		for(i2=i1+1;i2<longitud;i2++){
			if(n[i1]>n[i2]){
				aux=n[i1];
				n[i1]=n[i2];
				n[i2]=aux;
			}
		}
	}
	
	console.log(n);
	







</script>
</body>
</html>
